Loading...
Searching...
No Matches
Parser Struct Reference
Collaboration diagram for Parser:
[legend]

## Public Attributes

enum parse_state | state
Entity | document_entity
int | have_dtd
StandaloneDeclaration | standalone
struct input_source * | source
Char * | name
Char * | pbuf
int | namelen
int | pbufsize
int | pbufnext
struct xbit | xbit
int | peeked
Dtd | dtd
CallbackProc * | dtd_callback
CallbackProc * | warning_callback
EntityOpenerProc * | entity_opener
unsigned int | flags
struct element_info * | element_stack
int | element_stack_alloc
int | element_depth
void * | callback_arg
int | external_pe_depth

## Detailed Description

Definition at line 140 of file xmlparser.h.

## Member Data Documentation

## state

enum parse_state Parser::state

Definition at line 141 of file xmlparser.h.

## document_entity

Entity Parser::document_entity

Definition at line 142 of file xmlparser.h.

## have_dtd

int Parser::have_dtd

Definition at line 143 of file xmlparser.h.

## standalone

StandaloneDeclaration Parser::standalone

Definition at line 144 of file xmlparser.h.

## source

struct input_source* Parser::source

Definition at line 145 of file xmlparser.h.

## name

Char* Parser::name

Definition at line 146 of file xmlparser.h.

## pbuf

Char * Parser::pbuf

Definition at line 146 of file xmlparser.h.

## namelen

int Parser::namelen

Definition at line 147 of file xmlparser.h.

## pbufsize

int Parser::pbufsize

Definition at line 147 of file xmlparser.h.

## pbufnext

int Parser::pbufnext

Definition at line 147 of file xmlparser.h.

## xbit

struct xbit Parser::xbit

Definition at line 148 of file xmlparser.h.

## peeked

int Parser::peeked

Definition at line 149 of file xmlparser.h.

## dtd

Dtd Parser::dtd

Definition at line 150 of file xmlparser.h.

## dtd_callback

CallbackProc* Parser::dtd_callback

Definition at line 151 of file xmlparser.h.

## warning_callback

CallbackProc* Parser::warning_callback

Definition at line 152 of file xmlparser.h.

## entity_opener

EntityOpenerProc* Parser::entity_opener

Definition at line 153 of file xmlparser.h.

## flags

unsigned int Parser::flags

Definition at line 154 of file xmlparser.h.

## element_stack

struct element_info* Parser::element_stack

Definition at line 155 of file xmlparser.h.

## element_stack_alloc

int Parser::element_stack_alloc

Definition at line 156 of file xmlparser.h.

## element_depth

int Parser::element_depth

Definition at line 157 of file xmlparser.h.

## callback_arg

void* Parser::callback_arg

Definition at line 158 of file xmlparser.h.

## external_pe_depth

int Parser::external_pe_depth

Definition at line 159 of file xmlparser.h.

The documentation for this struct was generated from the following file:

- include/rxp/xmlparser.h